Summary: Hardware health monitoring
Name: lm_sensors
Version: 2.4.3
# this is a nasty quick hack but doing it correctly outside of a
# makefile is a royal pain. We assume you're building for the 
# currently-running kernel.
%define kernel %(uname -r)
%define kernel_RPMescaped %(uname -r | sed 's/-/_/g')
%define modversion %{kernel_RPMescaped}lmversion_%{version}
Release: 2
Source0: http://www.netroedge.com/~lm78/archive/%{name}-%{version}.tar.gz
Patch0: lm_sensors-2.4.3-auxprogs.patch
Copyright: GPL
Group: Utilities/System
Packager: Ole Craig <olc@cs.umass.edu>
BuildRoot: /var/tmp/lm_sensors-root
Requires: perl > 5.004, rpm >= 3

%changelog
* Mon Nov  8 1999  Ole Craig <olc@cs.umass.edu>
- rpm won't replace /etc/sensors.conf if it exists

* Fri Nov  5 1999  Ole Craig <olc@cs.umass.edu>
- install auxiliary progs into /usr/local/sensors/bin
- changed name of modules package to be less confusing

* Thu Nov  4 1999  Ole Craig <olc@cs.umass.edu>
- lm_sensors version 2.4.3 
- added /etc/rc.d/init.d/lm_sensors with chkconfig info
- changed module build to grab version info from current 
  kernel rather than hardwired, to allow rpm --rebuild
- built for kernel 2.2.12-20 (redhat 6.1 default kernel)

* Sat May 15 1999  Ian Macdonald <ianmacd@xs4all.nl>
- compiled for kernel 2.2.9

* Sun May  2 1999  Ian Macdonald <ianmacd@xs4all.nl>
- compiled for kernel 2.2.7

* Sun Apr 25 1999  Ian Macdonald <ianmacd@xs4all.nl>
- compiled for kernel 2.2.6
- hyphen changed to underscore in version number to satisfy RPM 3.0

* Mon Apr  5 1999  Ian Macdonald <ianmacd@xs4all.nl>
- compiled for kernel 2.2.5

* Wed Mar 24 1999  Ian Macdonald <ianmacd@xs4all.nl>
- compiled for kernel 2.2.4

* Tue Mar  8 1999  Ian Macdonald <ianmacd@xs4all.nl>
- compiled for kernel 2.2.3

* Fri Feb 26 1999  Ian Macdonald <ianmacd@xs4all.nl>
- updated to lm_sensors 2.2.2 and compiled for kernel 2.2.2
- added /etc/sensors.conf
- added %post and %postun scripts

%package modules
Summary: Kernel modules for various buses and monitor chips.
Version: %{modversion}
Group: Utilities/System
Prereq: lm_sensors

%description 
Tools for monitoring the hardware health of Linux systems containing
appropriate hardware such as the LM78 and LM75. These chips are
included in most modern mainboards, e.g. Intel PIIX4, VIA, and
Winbond.

%description modules
Kernel %{kernel} modules for various busses and monitor chips. 

%prep
%setup
%patch0 -p1 -b .auxprogs

%build
cd i2c
make LINUX_INCLUDE_DIR=$RPM_BUILD_ROOT/usr/local/include/linux 

# for next make, to avoid looking in /usr/local/include
ln -s kernel linux
cd ../lm_sensors2
make I2C_HEADERS=../i2c

%install
rm -rf $RPM_BUILD_ROOT
cd i2c
make PREFIX=$RPM_BUILD_ROOT/usr/ SUPDIR=$RPM_BUILD_ROOT/usr/local/sensors ETCDIR=$RPM_BUILD_ROOT/etc MODDIR=$RPM_BUILD_ROOT/lib/modules/%{kernel}/misc LINUX_INCLUDE_DIR=$RPM_BUILD_ROOT/usr/local/include/linux install
cd ../lm_sensors2
make PREFIX=$RPM_BUILD_ROOT/usr SUPDIR=$RPM_BUILD_ROOT/usr/local/sensors ETCDIR=$RPM_BUILD_ROOT/etc MODDIR=$RPM_BUILD_ROOT/lib/modules/%{kernel}/misc install
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
cat <<'__EOC__' > $RPM_BUILD_ROOT/etc/rc.d/init.d/lm_sensors
#!/bin/bash

# chkconfig: 345 85 15
# description: loads and initializes lm hardware sensor modules.

# TO USE: cut&paste the modprobe statements of sensors-detect below
# the line "#-# INSERT YOUR SENSORS HERE" and change the line
# "CONFIG=0" to read "CONFIG=1". To enable unloading, add appropriate
# modprobe -r statements below the line "#-# REMOVE YOUR SENSORS
# HERE".

# Don't forget to edit /etc/conf.modules and add the lines recommended
# by sensors-detect..

CONFIG=0
HOME=/etc

case "$1" in
  start)
	if [ $CONFIG = 0 ] ; then
	    echo "lm_sensors has not been configured!"
	    exit 1
	fi
        echo -n "loading system hardware sensors... "
	#-# INSERT YOUR SENSORS HERE

	#-#
	echo -n lm_sensors
	echo
	touch /var/lock/subsys/lm_sensors
	;;
  stop)
 	if [ $CONFIG = 0 ] ; then
	    echo "lm_sensors has not been configured!"
	    exit 1
	fi
	echo -n "unloading hardware sensors..."
	#-# REMOVE YOUR SENSORS HERE

	#-#
	rm -f /var/lock/subsys/lm_sensors
	echo -n lm_sensors
	echo
	;;
  restart)
        $0 stop
        $0 start
        ;;
  *)
        echo "Usage: $0 {start|stop|restart}"
        exit 1
esac

exit 0
__EOC__

%post
ldconfig
chkconfig --add lm_sensors
echo "In order to use lm_sensors, you must now run (as root)"
echo "/usr/sbin/sensors-detect and modify your conf.modules and"
echo "lm_sensors init scripts according to its output."


%postun
ldconfig
chkconfig --del lm_sensors
echo "Don't forget to remove lm_sensor entries from conf.modules!"

%post modules
chmod 755 $RPM_BUILD_ROOT/etc/rc.d/init.d/lm_sensors
depmod -a


%postun modules
depmod -a

%clean
rm -fr $RPM_BUILD_ROOT

%files 
%config(noreplace) /etc/sensors.conf
%config(noreplace) /etc/rc.d/init.d/lm_sensors
%doc README i2c/IMPORTANT_CHANGES i2c/TODO i2c/INSTALL i2c/README i2c/DIRECTORIES i2c/doc 
%doc lm_sensors2/BACKGROUND  lm_sensors2/CHANGES       lm_sensors2/COPYING lm_sensors2/README.directories  lm_sensors2/README.patches lm_sensors2/BUGS        lm_sensors2/CONTRIBUTORS  lm_sensors2/INSTALL  lm_sensors2/README    lm_sensors2/README.package
%attr(644, root, root) /usr/lib/libsensors.a
%attr(755, root, root) /usr/lib/libsensors.so
%attr(755, root, root) /usr/lib/libsensors.so.0
%attr(755, root, root) /usr/lib/libsensors.so.0.0.2
%attr(755, root, root) /usr/bin/sensors
%attr(750, root, root) /usr/sbin/sensors-detect
%attr(755, root, root) /usr/local/sensors/bin/*
/usr/include/sensors
/usr/local/include/linux/i2c-algo-bit.h  
/usr/local/include/linux/i2c-algo-pcf.h  
/usr/local/include/linux/i2c-dev.h  
/usr/local/include/linux/i2c-elektor.h 
/usr/local/include/linux/i2c-pcf8584.h 
/usr/local/include/linux/i2c.h  
/usr/include/linux/i2c-isa.h  
%files modules
/lib/modules/%{kernel}/misc/*
